# Class StringValueExp

java.lang.Object
javax.management.StringValueExp

All Implemented Interfaces:
  `Serializable, ValueExp`

public class StringValueExp extends Object implements ValueExp
Represents strings that are arguments to relational constraints. A `StringValueExp` may be used anywhere a `ValueExp` is required.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StringValueExp()`
Basic constructor.
`StringValueExp(String val)`
Creates a new `StringValueExp` representing the given string.

## Method Summary

Modifier and Type
Method
Description
`ValueExp`
`apply(ObjectName name)`
Applies the ValueExp on a MBean.
`String`
`getValue()`
Returns the string represented by the `StringValueExp` instance.
`void`
`setMBeanServer(MBeanServer s)`
Deprecated.
`String`
`toString()`
Returns the string representing the object.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringValueExp

public StringValueExp()
Basic constructor.

### StringValueExp

public StringValueExp(String val)
Creates a new `StringValueExp` representing the given string.

Parameters:
  `val` - the string that will be the value of this expression

## Method Details

### getValue

public String getValue()
Returns the string represented by the `StringValueExp` instance.

Returns:
  the string.

### toString

public String toString()
Returns the string representing the object.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object

### setMBeanServer

@Deprecated public void setMBeanServer(MBeanServer s)
Deprecated.
Sets the MBean server on which the query is to be performed.

Specified by:
  `setMBeanServer` in interface `ValueExp`
Parameters:
  `s` - The MBean server on which the query is to be performed.

### apply

public ValueExp apply(ObjectName name) throws BadStringOperationException, BadBinaryOpValueExpException, BadAttributeValueExpException, InvalidApplicationException
Applies the ValueExp on a MBean.

Specified by:
  `apply` in interface `ValueExp`
Parameters:
  `name` - The name of the MBean on which the ValueExp will be applied.
Returns:
  The `ValueExp`.
Throws:
  `BadStringOperationException` - when an invalid string operation is passed to a method for constructing a query
  `BadBinaryOpValueExpException` - when an invalid expression is passed to a method for constructing a query
  `BadAttributeValueExpException` - when an invalid MBean attribute is passed to a query constructing method
  `InvalidApplicationException` - when an invalid apply is attempted